diff --git a/localedata/locales/ar_IN b/localedata/locales/ar_IN
index 791e63c..0f313c9 100644
--- a/localedata/locales/ar_IN
+++ b/localedata/locales/ar_IN
@@ -53,27 +53,7 @@ END LC_COLLATE
 
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3;2
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/bhb_IN b/localedata/locales/bhb_IN
index 49b1cbe..3be0f8f 100644
--- a/localedata/locales/bhb_IN
+++ b/localedata/locales/bhb_IN
@@ -39,7 +39,7 @@ category "i18n:2012";LC_MEASUREMENT
 END LC_IDENTIFICATION
 
 LC_CTYPE
-copy "ks_IN"
+copy "hi_IN"
 END LC_CTYPE
 
 LC_COLLATE
diff --git a/localedata/locales/bn_IN b/localedata/locales/bn_IN
index b27af12..f8074b5 100644
--- a/localedata/locales/bn_IN
+++ b/localedata/locales/bn_IN
@@ -54,27 +54,7 @@ END LC_COLLATE
 
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          2;3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/en_IN b/localedata/locales/en_IN
index 933a41c..7a4a27e 100644
--- a/localedata/locales/en_IN
+++ b/localedata/locales/en_IN
@@ -53,27 +53,7 @@ END LC_COLLATE
 
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3;2
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/kn_IN b/localedata/locales/kn_IN
index 8a62305..1398efb 100644
--- a/localedata/locales/kn_IN
+++ b/localedata/locales/kn_IN
@@ -78,21 +78,7 @@ LC_MONETARY
 % These are generated based on XML base Locale definition file
 % for IBM Class for Unicode/Java
 %
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign	      "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
+copy "hi_IN"
 %
 END LC_MONETARY
 
diff --git a/localedata/locales/kok_IN b/localedata/locales/kok_IN
index 095e97b..2f23200 100644
--- a/localedata/locales/kok_IN
+++ b/localedata/locales/kok_IN
@@ -51,27 +51,7 @@ copy "iso14651_t1"
 END LC_COLLATE
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/ks_IN b/localedata/locales/ks_IN
index 094f2cd..94c2834 100644
--- a/localedata/locales/ks_IN
+++ b/localedata/locales/ks_IN
@@ -56,29 +56,7 @@ copy "iso14651_t1"
 
 END LC_COLLATE
 
-
-LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/mr_IN b/localedata/locales/mr_IN
index d69a0d1..3945a76 100644
--- a/localedata/locales/mr_IN
+++ b/localedata/locales/mr_IN
@@ -71,27 +71,7 @@ reorder-end
 END LC_COLLATE
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/pa_IN b/localedata/locales/pa_IN
index 487133b..5b9baea 100644
--- a/localedata/locales/pa_IN
+++ b/localedata/locales/pa_IN
@@ -72,23 +72,7 @@ copy "iso14651_t1"
 END LC_COLLATE
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category.
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/sa_IN b/localedata/locales/sa_IN
index c0ccdec..7ca0317 100644
--- a/localedata/locales/sa_IN
+++ b/localedata/locales/sa_IN
@@ -55,26 +55,7 @@ copy "iso14651_t1"
 END LC_COLLATE
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category.
-% These are generated based on XML base Locale definition file
-% for IBM Class for Unicode/Java
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/sd_IN b/localedata/locales/sd_IN
index bc9d681..f0c653e 100644
--- a/localedata/locales/sd_IN
+++ b/localedata/locales/sd_IN
@@ -58,27 +58,7 @@ END LC_COLLATE
 
 
 LC_MONETARY
-% This is the POSIX Locale definition the LC_MONETARY category
-% generated by IBM Basic CountryPack Transformer.
-% These are generated based on XML base Locale defintion file
-% for IBM Class for Unicode.
-%
-int_curr_symbol       "<U0049><U004E><U0052><U0020>"
-currency_symbol       "<U20B9>"
-mon_decimal_point     "<U002E>"
-mon_thousands_sep     "<U002C>"
-mon_grouping          3
-positive_sign         ""
-negative_sign         "<U002D>"
-int_frac_digits       2
-frac_digits           2
-p_cs_precedes         1
-p_sep_by_space        1
-n_cs_precedes         1
-n_sep_by_space        1
-p_sign_posn           1
-n_sign_posn           1
-%
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/tcy_IN b/localedata/locales/tcy_IN
index 9f021c5..01d66ff 100644
--- a/localedata/locales/tcy_IN
+++ b/localedata/locales/tcy_IN
@@ -52,7 +52,7 @@ copy "iso14651_t1"
 END LC_COLLATE
 
 LC_MONETARY
-copy "kn_IN"
+copy "hi_IN"
 END LC_MONETARY
 
 
diff --git a/localedata/locales/ur_IN b/localedata/locales/ur_IN
index 1af10ed..ae775d4 100644
--- a/localedata/locales/ur_IN
+++ b/localedata/locales/ur_IN
@@ -58,7 +58,7 @@ END LC_COLLATE
 
 
 LC_MONETARY
-copy "ar_IN"
+copy "hi_IN"
 END LC_MONETARY
 
 