diff --git a/localedata/locales/aa_DJ b/localedata/locales/aa_DJ
old mode 100644
new mode 100755
index 98fbc1c..463cb79
--- a/localedata/locales/aa_DJ
+++ b/localedata/locales/aa_DJ
@@ -32,7 +32,7 @@ title      "Afar language locale for Djibouti (Cadu//Laaqo Dialects)."
 source     "Ge'ez Frontier Foundation"
 address    "7802 Solomon Seal Dr., Springfield, VA 22152, USA"
 contact    ""
-email      "locales@geez.org"
+email      "locales@geez.org, akhilesh.k@samsung.com"
 tel        ""
 fax        ""
 language   "Afar"
@@ -186,61 +186,58 @@ END LC_NAME
 
 
 LC_TIME
-%
+% http://www.mcit.gov.et/documents/1268465/1282796/Localization+Standard+for+AFARAF/4dab7d83-e6df-4f4f-b236-b89748c456e9?version=1.0
 % Abbreviated weekday names (%a)
 %
-abday    "<U0061><U0063><U0061>";/
-         "<U0065><U0074><U006C>";/
-         "<U0074><U0061><U006C>";/
-         "<U0061><U0072><U0062>";/
-         "<U006B><U0061><U006D>";/
-         "<U0067><U0075><U006D>";/
-         "<U0073><U0061><U0062>"
+abday    "Ac";/
+         "It";/
+         "Ta";/
+         "Ar";/
+         "Ka";/
+         "Gu";/
+         "Sa"
 %
 % Full weekday names (%A)
 %
-day      "<U0041><U0063><U0061><U0061><U0064><U0061>";/
-         "<U0045><U0074><U006C><U0065><U0065><U006E><U0069>";/
-         "<U0054><U0061><U006C><U0061><U0061><U0074><U0061>";/
-         "<U0041><U0072><U0062><U0061><U0071><U0061>";/
-         "<U004B><U0061><U006D><U0069><U0069><U0073><U0069>";/
-         "<U0047><U0075><U006D><U0071><U0061><U0074><U0061>";/
-         "<U0053><U0061><U0062><U0074><U0069>"
-%
+day      "Acaada";/
+  	  "Itleeni";/ 	
+ 	  "Talaata"	
+         "Arbaqa";/
+	  "Kameesi";/
+         "Gumqaata";/
+         "Sabti"
+% http://www.mcit.gov.et/documents/1268465/1282796/Localization+Standard+for+AFARAF/4dab7d83-e6df-4f4f-b236-b89748c456e9?version=1.0
 % Abbreviated month names (%b)
-%
-abmon    "<U0071><U0075><U006E>";/
-         "<U006E><U0061><U0068>";/
-         "<U0063><U0069><U0067>";/
-         "<U0061><U0067><U0064>";/
-         "<U0063><U0061><U0078>";/
-         "<U0071><U0061><U0073>";/
-         "<U0071><U0061><U0064>";/
-         "<U006C><U0065><U0071>";/
-         "<U0077><U0061><U0079>";/
-         "<U0064><U0069><U0074>";/
-         "<U0078><U0069><U006D>";/
-         "<U006B><U0061><U0078>"
+% 
+abmon    "Way";/
+         "Dit";/
+         "Xim";/
+	  "Kax"
+         "Qun";/
+         "Nah";/
+         "cig";/
+         "Agd";/
+         "Cax";/
+         "Qad";/
+         "Qas";/
+         "Laq";/
+         "Pag"
 %
 % Full month names (%B)
 %
-mon      "<U0051><U0075><U006E><U0078><U0061><U0020><U0047><U0061><U0072><U0061><U0062><U006C><U0075>";/
-         "<U004B><U0075><U0064><U006F>";/
-         "<U0043><U0069><U0067><U0067><U0069><U006C><U0074><U0061><U0020><U004B><U0075><U0064><U006F>";/
-         "<U0041><U0067><U0064><U0061><U0020><U0042><U0061><U0078><U0069><U0073><U0073><U006F>";/
-         "<U0043><U0061><U0078><U0061><U0068><U0020><U0041><U006C><U0073><U0061>";/
-         "<U0051><U0061><U0073><U0061><U0020><U0044><U0069><U0072><U0072><U0069>";/
-         "<U0051><U0061><U0064><U006F><U0020><U0044><U0069><U0072><U0072><U0069>";/
-         "<U004C><U0069><U0069><U0071><U0065><U006E>";/
-         "<U0057><U0061><U0079><U0073><U0075>";/
-         "<U0044><U0069><U0074><U0065><U006C><U0069>";/
-         "<U0058><U0069><U006D><U006F><U006C><U0069>";/
-         "<U004B><U0061><U0078><U0078><U0061><U0020><U0047><U0061><U0072><U0061><U0062><U006C><U0075>"
-%
-% Equivalent of AM PM
-%
-am_pm    "<U0073><U0061><U0061><U006B><U0075>";/
-         "<U0063><U0061><U0072><U0072><U0061>"
+mon      "Waysu";/
+         "Diteli";/
+         "Ximoli";/
+         "Kaxxa<U002D>Garablu";/
+         "Qunxa<U002D>Garablu";/
+         "Naharsi<U002D>kudo";/
+         "Ciggilta<U002D>kudo";/
+         "Agda<U002D>baxisso";/
+         "Caxah<U002D>alsa";/
+         "Qado<U002D>Dirri";/
+         "Qasa<U002D>Dirri";/
+         "Laqeeni";/
+         "Paguume"
 %
 % Appropriate date representation (%x)
 %	"%d.%m.%Y"
diff --git a/localedata/locales/aa_ET b/localedata/locales/aa_ET
index 78e7df2..c1a785c 100644
--- a/localedata/locales/aa_ET
+++ b/localedata/locales/aa_ET
@@ -18,9 +18,6 @@ escape_char /
 % Afar Civilization Researcher, Melka Werer Research Center.
 % Prepared and contributed to glibc by Daniel Yacob <locales@geez.org>.
 %
-% This locale data has been developed under the Yeha Project:
-%      http://yeha.sourceforge.net/
-%
 % build with: localedef -f UTF-8 -i aa_ET aa_ET
 %
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -29,16 +26,16 @@ escape_char /
 LC_IDENTIFICATION
 %
 title      "Afar language locale for Ethiopia (Cadu//Carra Dialects)."
-source     "Ge'ez Frontier Foundation"
-address    "7802 Solomon Seal Dr., Springfield, VA 22152, USA"
+source     "Samsung Electronics Co., Ltd."
+address    ""
 contact    ""
-email      "locales@geez.org"
+email      "locales@geez.org, akhilesh.k@samsung.com"
 tel        ""
 fax        ""
-language   "Afar"
+language   "Afar/Afaraf"
 territory  "Ethiopia"
-revision   "0.20"
-date       "2003-07-05"
+revision   "0.30"
+date       "2017-08-08"
 
 category "i18n:2012";LC_IDENTIFICATION
 category "i18n:2012";LC_COLLATE
@@ -152,56 +149,58 @@ END LC_NAME
 
 
 LC_TIME
-%
+% http://www.mcit.gov.et/documents/1268465/1282796/Localization+Standard+for+AFARAF/4dab7d83-e6df-4f4f-b236-b89748c456e9?version=1.0
 % Abbreviated weekday names (%a)
 %
-abday    "<U0041><U0063><U0061>";/
-         "<U0045><U0074><U006C>";/
-         "<U0054><U0061><U006C>";/
-         "<U0041><U0072><U0062>";/
-         "<U004B><U0061><U006D>";/
-         "<U0047><U0075><U006D>";/
-         "<U0053><U0061><U0062>"
+abday    "Ac";/
+         "It";/
+         "Ta";/
+         "Ar";/
+         "Ka";/
+         "Gu";/
+         "Sa"
 %
 % Full weekday names (%A)
 %
-day      "<U0041><U0063><U0061><U0061><U0064><U0061>";/
-         "<U0045><U0074><U006C><U0065><U0065><U006E><U0069>";/
-         "<U0054><U0061><U006C><U0061><U0061><U0074><U0061>";/
-         "<U0041><U0072><U0062><U0061><U0071><U0061>";/
-         "<U004B><U0061><U006D><U0069><U0069><U0073><U0069>";/
-         "<U0047><U0075><U006D><U0071><U0061><U0074><U0061>";/
-         "<U0053><U0061><U0062><U0074><U0069>"
-%
+day      "Acaada";/
+	  "Itleeni";/ 	
+	  "Talaata"	
+         "Arbaqa";/
+	  "Kameesi";/
+         "Gumqaata";/
+         "Sabti"
+% http://www.mcit.gov.et/documents/1268465/1282796/Localization+Standard+for+AFARAF/4dab7d83-e6df-4f4f-b236-b89748c456e9?version=1.0
 % Abbreviated month names (%b)
-%
-abmon    "<U0051><U0075><U006E>";/
-         "<U004B><U0075><U0064>";/
-         "<U0043><U0069><U0067>";/
-         "<U0041><U0067><U0064>";/
-         "<U0043><U0061><U0078>";/
-         "<U0051><U0061><U0073>";/
-         "<U0051><U0061><U0064>";/
-         "<U004C><U0065><U0071>";/
-         "<U0057><U0061><U0079>";/
-         "<U0044><U0069><U0074>";/
-         "<U0058><U0069><U006D>";/
-         "<U004B><U0061><U0078>"
+% 
+abmon    "Way";/
+         "Dit";/
+         "Xim";/
+	 "Kax"
+         "Qun";/
+         "Nah";/
+         "cig";/
+         "Agd";/
+         "Cax";/
+         "Qad";/
+         "Qas";/
+         "Laq";/
+         "Pag"
 %
 % Full month names (%B)
 %
-mon      "<U0051><U0075><U006E><U0078><U0061><U0020><U0047><U0061><U0072><U0061><U0062><U006C><U0075>";/
-         "<U004B><U0075><U0064><U006F>";/
-         "<U0043><U0069><U0067><U0067><U0069><U006C><U0074><U0061><U0020><U004B><U0075><U0064><U006F>";/
-         "<U0041><U0067><U0064><U0061><U0020><U0042><U0061><U0078><U0069><U0073><U0073><U006F>";/
-         "<U0043><U0061><U0078><U0061><U0068><U0020><U0041><U006C><U0073><U0061>";/
-         "<U0051><U0061><U0073><U0061><U0020><U0044><U0069><U0072><U0072><U0069>";/
-         "<U0051><U0061><U0064><U006F><U0020><U0044><U0069><U0072><U0072><U0069>";/
-         "<U004C><U0069><U0069><U0071><U0065><U006E>";/
-         "<U0057><U0061><U0079><U0073><U0075>";/
-         "<U0044><U0069><U0074><U0065><U006C><U0069>";/
-         "<U0058><U0069><U006D><U006F><U006C><U0069>";/
-         "<U004B><U0061><U0078><U0078><U0061><U0020><U0047><U0061><U0072><U0061><U0062><U006C><U0075>"
+mon      "Waysu";/
+         "Diteli";/
+         "Ximoli";/
+         "Kaxxa<U002D>Garablu";/
+         "Qunxa<U002D>Garablu";/
+         "Naharsi<U002D>kudo";/
+         "Ciggilta<U002D>kudo";/
+         "Agda<U002D>baxisso";/
+         "Caxah<U002D>alsa";/
+         "Qado<U002D>Dirri";/
+         "Qasa<U002D>Dirri";/
+         "Laqeeni";/
+         "Paguume"
 %
 % Equivalent of AM PM
 %