diff --git a/localedata/locales/ab_GE b/localedata/locales/ab_GE
new file mode 100644
index 0000000000..e8148ef6d2
--- /dev/null
+++ b/localedata/locales/ab_GE
@@ -0,0 +1,147 @@
+comment_char %
+escape_char /
+
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+
+LC_IDENTIFICATION
+title        "Abkhazian language locale for Georgia"
+contact      "Nart Tlisha"
+email        "daniel.abzakh@gmail.com"
+language     "Abkhazian"
+territory    "Georgia"
+revision     "1.0"
+date         "2021-08-20"
+
+category  "i18n:2012";LC_IDENTIFICATION
+category  "i18n:2012";LC_CTYPE
+category  "i18n:2012";LC_COLLATE
+category  "i18n:2012";LC_TIME
+category  "i18n:2012";LC_NUMERIC
+category  "i18n:2012";LC_MONETARY
+category  "i18n:2012";LC_PAPER
+category  "i18n:2012";LC_MEASUREMENT
+category  "i18n:2012";LC_MESSAGES
+category  "i18n:2012";LC_NAME
+category  "i18n:2012";LC_ADDRESS
+category  "i18n:2012";LC_TELEPHONE
+END LC_IDENTIFICATION
+
+LC_CTYPE
+copy "ka_GE"
+END LC_CTYPE
+
+LC_COLLATE
+copy "iso14651_t1"
+END LC_COLLATE
+
+LC_TIME
+% Ажьырныҳəа, Жəабран, Хəажəкыра, Мшапы, Лаҵара, Рашəара, Ԥхынгəы, Нанҳəа, Цəыббра, Жьҭаара, Абҵара, Ԥхынҷкәын
+mon          "<U0410><U0436><U044C><U044B><U0440><U043D><U044B><U04B3><U04d9><U0430>";/
+"<U0416><U04d9><U0430><U0431><U0440><U0430><U043D>";/
+"<U0425><U04d9><U0430><U0436><U04d9><U043A><U044B><U0440><U0430>";/
+"<U041C><U0448><U0430><U043F><U044B>";/
+"<U041B><U0430><U04B5><U0430><U0440><U0430>";/
+"<U0420><U0430><U0448><U04d9><U0430><U0440><U0430>";/
+"<U0524><U0445><U044B><U043D><U0433><U04d9><U044B>";/
+"<U041D><U0430><U043D><U04B3><U04d9><U0430>";/
+"<U0426><U04d9><U044B><U0431><U0431><U0440><U0430>";/
+"<U0416><U044C><U04AD><U0430><U0430><U0440><U0430>";/
+"<U0410><U0431><U04B5><U0430><U0440><U0430>";/
+"<U0524><U0445><U044B><U043D><U04B7><U043A><U04D9><U044B><U043D>"
+% Ажь, Жəаб, Хəажә, Мш, Лаҵ, Рашә, Ԥхынгә, Нанҳә, Цəыб, Жьҭ, Абҵ, Ԥхынҷ
+abmon         "<U0410><U0436><U044C>";/
+"<U0416><U04d9><U0430><U0431>";/
+"<U0425><U04d9><U0430><U0436><U04d9>";/
+"<U041C><U0448>";/
+"<U041B><U0430><U04B5>";/
+"<U0420><U0430><U0448><U04d9>";/
+"<U0524><U0445><U044B><U043D><U0433><U04d9>";/
+"<U041D><U0430><U043D><U04B3><U04d9>";/
+"<U0426><U04d9><U044B><U0431>";/
+"<U0416><U044C><U04AD>";/
+"<U0410><U0431><U04B5>";/
+"<U0524><U0445><U044B><U043D><U04B7>"
+% Ашәахьа, Аҩаша, Ахаша, Аԥшьаша, Ахәаша, Асабша, Амҽыша
+day           "<U0410><U0448><U04D9><U0430><U0445><U044C><U0430>";/
+"<U0410><U04A9><U0430><U0448><U0430>";/
+"<U0410><U0445><U0430><U0448><U0430>";/
+"<U0410><U0525><U0448><U044C><U0430><U0448><U0430>";/
+"<U0410><U0445><U04D9><U0430><U0448><U0430>";/
+"<U0410><U0441><U0430><U0431><U0448><U0430>";/
+"<U0410><U043C><U04BD><U044B><U0448><U0430>"
+% Ашә, Аҩ, Ах, Аԥшь, Ахә, Ас, Амҽ
+abday         "<U0410><U0448><U04D9>";/
+"<U0410><U04A9>";/
+"<U0410><U0445>";/
+"<U0410><U0525><U0448><U044C>";/
+"<U0410><U0445><U04D9>";/
+"<U0410><U0441>";/
+"<U0410><U043C><U04BD>"
+week          7;19971130;1
+first_weekday 2
+% %Y ашықәс %d %B, %T
+d_t_fmt       "%Y <U0430><U0448><U044B><U049B><U04D9><U0441> %d %B, %T"
+d_fmt         "%m//%d//%Y"
+t_fmt         "%T"
+am_pm         "";""
+t_fmt_ampm    ""
+% %Y ашықәс %d %B, %T %Z
+date_fmt      "%Y <U0430><U0448><U044B><U049B><U04D9><U0441> %d %B, %T %Z"
+END LC_TIME
+
+LC_NUMERIC
+copy "ka_GE"
+END LC_NUMERIC
+
+LC_MONETARY
+copy "ka_GE"
+END LC_MONETARY
+
+LC_PAPER
+copy "ka_GE"
+END LC_PAPER
+
+LC_MEASUREMENT
+copy "ka_GE"
+END LC_MEASUREMENT
+
+LC_MESSAGES
+% ^[+1yYаА]
+yesexpr "^[+1yY<U0430><U0410>]"
+% ^[-0nNмМ]
+noexpr  "^[-0nN<U043C><U041C>]"
+% ааи
+yesstr  "<U0430><U0430><U0438>"
+% мап
+nostr   "<U043C><U0430><U043F>"
+END LC_MESSAGES
+
+LC_NAME
+copy "ka_GE"
+END LC_NAME
+
+LC_ADDRESS
+postal_fmt   "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"
+% Кырҭтәыла
+country_name "<U041A><U044B><U0440><U04AD><U0442><U04D9><U044B><U043B><U0430>"
+country_ab2  "GE"
+country_ab3  "GEO"
+country_num  268
+country_car  "GE"
+country_isbn 99928
+% Аԥсшәа
+lang_name    "<U0410><U0525><U0441><U0448><U04D9><U0430>"
+lang_ab      "ab"
+lang_term    "abk"
+lang_lib     "abk"
+END LC_ADDRESS
+
+LC_TELEPHONE
+copy "ka_GE"
+END LC_TELEPHONE
+