diff --git a/localedata/locales/wuu_CN@Hans b/localedata/locales/wuu_CN@Hans
new file mode 100644
index 00000000..2334b0d3
--- /dev/null
+++ b/localedata/locales/wuu_CN@Hans
@@ -0,0 +1,175 @@
+comment_char %
+escape_char /
+
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+
+% Chinese language locale for the Peoples Republic of China
+%
+% This work is based on ISO PDTR 14652, Unicode 3.0, locale definition
+% file for zh_CN revision 1.0 (hashao@china.com, 1999-04-28) and
+% charmap file for GBK version 1.0 (sean.chen@turbolinux.com).
+%
+% The file is designed to work with multiple charsets.  To ease the
+% maintance and adding support for new charsets, all characters are
+% in UCS notation and presented in Unicode order.
+%
+% Changelog:
+% Tue Jul 25 2000 Yong Li <rigel863@hotmail.com>
+% - first version for glibc 2.2
+
+LC_IDENTIFICATION
+title      "Wu Chinese (Simplified) locale for Peoples Republic of China"
+source     ""
+address    ""
+contact    ""
+email      "bug-glibc-locales@gnu.org"
+tel        ""
+fax        ""
+language   "Wu"
+territory  "China"
+revision   "0.1"
+date       "2023-08-15"
+
+category "i18n:2012";LC_IDENTIFICATION
+category "i18n:2012";LC_CTYPE
+category "i18n:2012";LC_COLLATE
+category "i18n:2012";LC_TIME
+category "i18n:2012";LC_NUMERIC
+category "i18n:2012";LC_MONETARY
+category "i18n:2012";LC_MESSAGES
+category "i18n:2012";LC_PAPER
+category "i18n:2012";LC_NAME
+category "i18n:2012";LC_ADDRESS
+category "i18n:2012";LC_TELEPHONE
+category "i18n:2012";LC_MEASUREMENT
+END LC_IDENTIFICATION
+
+
+LC_CTYPE
+copy "zh_CN"
+END LC_CTYPE
+
+% ISO 14651 collation sequence
+LC_COLLATE
+copy "iso14651_t1_pinyin"
+END LC_COLLATE
+
+
+LC_MONETARY
+int_curr_symbol           "CNY "
+currency_symbol           "<UFFE5>"
+mon_decimal_point         "."
+mon_thousands_sep         ","
+mon_grouping              3
+positive_sign             ""
+negative_sign             "-"
+int_frac_digits           2
+frac_digits               2
+p_cs_precedes             1
+p_sep_by_space            0
+n_cs_precedes             1
+n_sep_by_space            0
+int_p_cs_precedes         1
+int_p_sep_by_space        0
+int_n_cs_precedes         1
+int_n_sep_by_space        0
+p_sign_posn               4
+n_sign_posn               4
+int_p_sign_posn           1
+int_n_sign_posn           1
+END LC_MONETARY
+
+LC_NUMERIC
+decimal_point             "."
+thousands_sep             ","
+grouping                  3
+END LC_NUMERIC
+
+LC_TIME
+abday 	"<U65E5>";"<U4E00>";"<U4E8C>";"<U4E09>";"<U56DB>";"<U4E94>";"<U516D>"
+
+day 	"<U793C><U62DC><U65E5>";/
+	"<U793C><U62DC><U4E00>";/
+	"<U793C><U62DC><U4E8C>";/
+	"<U793C><U62DC><U4E09>";/
+	"<U793C><U62DC><U56DB>";/
+	"<U793C><U62DC><U4E94>";/
+	"<U793C><U62DC><U516D>"
+
+abmon	"1<U6708>";"2<U6708>";/
+	"3<U6708>";"4<U6708>";/
+	"5<U6708>";"6<U6708>";/
+	"7<U6708>";"8<U6708>";/
+	"9<U6708>";"10<U6708>";/
+	"11<U6708>";"12<U6708>"
+
+mon	"<U4E00><U6708>";"<U4E8C><U6708>";"<U4E09><U6708>";/
+	"<U56DB><U6708>";"<U4E94><U6708>";"<U516D><U6708>";/
+	"<U4E03><U6708>";"<U516B><U6708>";"<U4E5D><U6708>";/
+	"<U5341><U6708>";"<U5341><U4E00><U6708>";"<U5341><U4E8C><U6708>"
+
+d_t_fmt "%Y<U5E74>%m<U6708>%d<U65E5> %A %H<U65F6>%M<U5206>%S<U79D2>"
+
+d_fmt   "%Y<U5E74>%m<U6708>%d<U65E5>"
+
+t_fmt   "%H<U65F6>%M<U5206>%S<U79D2>"
+
+am_pm   "<U4E0A><U663C>";"<U4E0B><U663C>"
+
+t_fmt_ampm "%p %I<U65F6>%M<U5206>%S<U79D2>"
+
+date_fmt       "%Y<U5E74> %m<U6708> %d<U65E5> %A %H:%M:%S %Z"
+week 7;19971130;1
+first_weekday 2
+END LC_TIME
+
+LC_MESSAGES
+yesexpr "^[+1yY<UFF59><UFF39><U662F>]"
+noexpr  "^[-0nN<UFF4E><UFF2E><U4E0D><U5426><U5F17>]"
+yesstr  "<U662F>"
+nostr   "<U5F17><U662F>"
+END LC_MESSAGES
+
+LC_PAPER
+copy "i18n"
+END LC_PAPER
+
+LC_TELEPHONE
+tel_int_fmt	"+%c %a %l"
+tel_dom_fmt	"0%a %l"
+int_select	"00"
+int_prefix	"86"
+END LC_TELEPHONE
+
+LC_NAME
+name_fmt	"%f%t%g%t%d"
+name_gen	""
+name_miss	"<U5C0F><U59D0>"
+name_mr		"<U5148><U751F>"
+name_mrs	"<U592A><U592A>"
+name_ms		"<U5973><U58EB>"
+END LC_NAME
+
+LC_ADDRESS
+postal_fmt	"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"
+country_name	"<U4E2D><U534E><U4EBA><U6C11><U5171><U548C><U56FD>"
+%country_post	"FIXME"
+country_ab2	"CN"
+country_ab3	"CHN"
+country_num	156
+country_car "CHN"
+country_isbn	7
+lang_name	"<U5434><U8BED>"
+%lang_ab	""
+%lang_term	""
+lang_lib	"wuu"
+END LC_ADDRESS
+
+LC_MEASUREMENT
+copy "i18n"
+END LC_MEASUREMENT
diff --git a/localedata/locales/wuu_CN@Hant b/localedata/locales/wuu_CN@Hant
new file mode 100644
index 00000000..2a8238e0
--- /dev/null
+++ b/localedata/locales/wuu_CN@Hant
@@ -0,0 +1,175 @@
+comment_char %
+escape_char /
+
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+
+% Chinese language locale for the Peoples Republic of China
+%
+% This work is based on ISO PDTR 14652, Unicode 3.0, locale definition
+% file for zh_CN revision 1.0 (hashao@china.com, 1999-04-28) and
+% charmap file for GBK version 1.0 (sean.chen@turbolinux.com).
+%
+% The file is designed to work with multiple charsets.  To ease the
+% maintance and adding support for new charsets, all characters are
+% in UCS notation and presented in Unicode order.
+%
+% Changelog:
+% Tue Jul 25 2000 Yong Li <rigel863@hotmail.com>
+% - first version for glibc 2.2
+
+LC_IDENTIFICATION
+title      "Wu Chinese (Traditional) locale for Peoples Republic of China"
+source     ""
+address    ""
+contact    ""
+email      "bug-glibc-locales@gnu.org"
+tel        ""
+fax        ""
+language   "Wu"
+territory  "China"
+revision   "0.1"
+date       "2023-08-15"
+
+category "i18n:2012";LC_IDENTIFICATION
+category "i18n:2012";LC_CTYPE
+category "i18n:2012";LC_COLLATE
+category "i18n:2012";LC_TIME
+category "i18n:2012";LC_NUMERIC
+category "i18n:2012";LC_MONETARY
+category "i18n:2012";LC_MESSAGES
+category "i18n:2012";LC_PAPER
+category "i18n:2012";LC_NAME
+category "i18n:2012";LC_ADDRESS
+category "i18n:2012";LC_TELEPHONE
+category "i18n:2012";LC_MEASUREMENT
+END LC_IDENTIFICATION
+
+
+LC_CTYPE
+copy "zh_CN"
+END LC_CTYPE
+
+% ISO 14651 collation sequence
+LC_COLLATE
+copy "iso14651_t1_pinyin"
+END LC_COLLATE
+
+
+LC_MONETARY
+int_curr_symbol           "CNY "
+currency_symbol           "<UFFE5>"
+mon_decimal_point         "."
+mon_thousands_sep         ","
+mon_grouping              3
+positive_sign             ""
+negative_sign             "-"
+int_frac_digits           2
+frac_digits               2
+p_cs_precedes             1
+p_sep_by_space            0
+n_cs_precedes             1
+n_sep_by_space            0
+int_p_cs_precedes         1
+int_p_sep_by_space        0
+int_n_cs_precedes         1
+int_n_sep_by_space        0
+p_sign_posn               4
+n_sign_posn               4
+int_p_sign_posn           1
+int_n_sign_posn           1
+END LC_MONETARY
+
+LC_NUMERIC
+decimal_point             "."
+thousands_sep             ","
+grouping                  3
+END LC_NUMERIC
+
+LC_TIME
+abday 	"<U65E5>";"<U4E00>";"<U4E8C>";"<U4E09>";"<U56DB>";"<U4E94>";"<U516D>"
+
+day 	"<U79AE><U62DC><U65E5>";/
+	"<U79AE><U62DC><U4E00>";/
+	"<U79AE><U62DC><U4E8C>";/
+	"<U79AE><U62DC><U4E09>";/
+	"<U79AE><U62DC><U56DB>";/
+	"<U79AE><U62DC><U4E94>";/
+	"<U79AE><U62DC><U516D>"
+
+abmon	"1<U6708>";"2<U6708>";/
+	"3<U6708>";"4<U6708>";/
+	"5<U6708>";"6<U6708>";/
+	"7<U6708>";"8<U6708>";/
+	"9<U6708>";"10<U6708>";/
+	"11<U6708>";"12<U6708>"
+
+mon	"<U4E00><U6708>";"<U4E8C><U6708>";"<U4E09><U6708>";/
+	"<U56DB><U6708>";"<U4E94><U6708>";"<U516D><U6708>";/
+	"<U4E03><U6708>";"<U516B><U6708>";"<U4E5D><U6708>";/
+	"<U5341><U6708>";"<U5341><U4E00><U6708>";"<U5341><U4E8C><U6708>"
+
+d_t_fmt "%Y<U5E74>%m<U6708>%d<U65E5> %A %H<U65F6>%M<U5206>%S<U79D2>"
+
+d_fmt   "%Y<U5E74>%m<U6708>%d<U65E5>"
+
+t_fmt   "%H<U65F6>%M<U5206>%S<U79D2>"
+
+am_pm   "<U4E0A><U665D>";"<U4E0B><U665D>"
+
+t_fmt_ampm "%p %I<U6642>%M<U5206>%S<U79D2>"
+
+date_fmt       "%Y<U5E74> %m<U6708> %d<U65E5> %A %H:%M:%S %Z"
+week 7;19971130;1
+first_weekday 2
+END LC_TIME
+
+LC_MESSAGES
+yesexpr "^[+1yY<UFF59><UFF39><U662F>]"
+noexpr  "^[-0nN<UFF4E><UFF2E><U4E0D><U5426><U5F17>]"
+yesstr  "<U662F>"
+nostr   "<U5F17><U662F>"
+END LC_MESSAGES
+
+LC_PAPER
+copy "i18n"
+END LC_PAPER
+
+LC_TELEPHONE
+tel_int_fmt	"+%c %a %l"
+tel_dom_fmt	"0%a %l"
+int_select	"00"
+int_prefix	"86"
+END LC_TELEPHONE
+
+LC_NAME
+name_fmt	"%f%t%g%t%d"
+name_gen	""
+name_miss	"<U5C0F><U59D0>"
+name_mr		"<U5148><U751F>"
+name_mrs	"<U592A><U592A>"
+name_ms		"<U5973><U58EB>"
+END LC_NAME
+
+LC_ADDRESS
+postal_fmt	"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"
+country_name	"<U4E2D><U83EF><U4EBA><U6C11><U5171><U548C><U570B>"
+%country_post	"FIXME"
+country_ab2	"CN"
+country_ab3	"CHN"
+country_num	156
+country_car "CHN"
+country_isbn	7
+lang_name	"<U5434><U8A9E>"
+%lang_ab	""
+%lang_term	""
+lang_lib	"wuu"
+END LC_ADDRESS
+
+LC_MEASUREMENT
+copy "i18n"
+END LC_MEASUREMENT