diff --git a/localedata/locales/es_AR b/localedata/locales/es_AR
index 43ea4c4bea..e8faf3547a 100644
--- a/localedata/locales/es_AR
+++ b/localedata/locales/es_AR
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Argentina"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -88,16 +88,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-        "mar";"mi<U00E9>";/
+        "mar";"mié";/
         "jue";"vie";/
-        "s<U00E1>b"
+        "sáb"
 day     "domingo";/
         "lunes";/
         "martes";/
-        "mi<U00E9>rcoles";/
+        "miércoles";/
         "jueves";/
         "viernes";/
-        "s<U00E1>bado"
+        "sábado"
 abmon   "ene";"feb";/
         "mar";"abr";/
         "may";"jun";/
@@ -151,7 +151,7 @@ country_ab3   "ARG"
 country_num   032
 country_car    "RA"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_BO b/localedata/locales/es_BO
index 41dce8442e..faa0928b80 100644
--- a/localedata/locales/es_BO
+++ b/localedata/locales/es_BO
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Bolivia"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -86,16 +86,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -150,7 +150,7 @@ country_ab3   "BOL"
 country_num   068
 country_car    "BOL"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_CL b/localedata/locales/es_CL
index 3dee82be4e..4f069915c7 100644
--- a/localedata/locales/es_CL
+++ b/localedata/locales/es_CL
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Chile"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -114,7 +114,7 @@ country_ab3   "CHL"
 country_num   152
 country_car    "RCH"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_CO b/localedata/locales/es_CO
index 75be255c46..ba7b104dfd 100644
--- a/localedata/locales/es_CO
+++ b/localedata/locales/es_CO
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Colombia"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -86,16 +86,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -150,7 +150,7 @@ country_ab3   "COL"
 country_num   170
 country_car   "CO"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_CR b/localedata/locales/es_CR
index b01401f99d..09a191bf26 100644
--- a/localedata/locales/es_CR
+++ b/localedata/locales/es_CR
@@ -56,10 +56,10 @@ END LC_MESSAGES
 
 LC_MONETARY
 int_curr_symbol      "CRC "
-currency_symbol      "<U20A1>"
+currency_symbol      "₡"
 % Decreto Ejecutivo 29660
 mon_decimal_point    ","
-mon_thousands_sep    "<U202F>"
+mon_thousands_sep    " "
 mon_grouping         3;3
 positive_sign        ""
 negative_sign        "-"
@@ -76,22 +76,22 @@ END LC_MONETARY
 LC_NUMERIC
 % Decreto Ejecutivo 29660
 decimal_point        ","
-thousands_sep        "<U202F>"
+thousands_sep        " "
 grouping             3;3
 END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -154,7 +154,7 @@ country_ab2   "CR"
 country_ab3   "CRI"
 country_num   188
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_CU b/localedata/locales/es_CU
index d37d452b0f..dcfda48872 100644
--- a/localedata/locales/es_CU
+++ b/localedata/locales/es_CU
@@ -9,7 +9,7 @@ escape_char /
 % otherwise be governed by that license.
 
 % Spanish Language Locale for Cuba
-% Address: San Antonio de los Ba<U00F8>os Highway, Kilometer 1 1/2,
+% Address: San Antonio de los Baøos Highway, Kilometer 1 1/2,
 %          University of Informatic Sciences
 % Contact: Rosniel Arian Montanet
 % Email: ramontanet@estudiantes.uci.cu
@@ -25,7 +25,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Cuba"
 source     ""
-address    "San Antonio de los Ba<U00F8>os Highway, Kilometer 1 1//2, University of Informatic Sciences "
+address    "San Antonio de los Baøos Highway, Kilometer 1 1//2, University of Informatic Sciences "
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -119,7 +119,7 @@ country_ab3   "CUB"
 country_num   192
 country_car   "C"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_DO b/localedata/locales/es_DO
index e5a835f153..12ca5f3186 100644
--- a/localedata/locales/es_DO
+++ b/localedata/locales/es_DO
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Dominican Republic"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -88,16 +88,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -145,13 +145,13 @@ END LC_NAME
 
 LC_ADDRESS
 postal_fmt    "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
-country_name "Rep<U00FA>blica Dominicana"
+country_name "República Dominicana"
 country_ab2   "DO"
 country_ab3   "DOM"
 country_num   214
 country_car    "DOM"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_EC b/localedata/locales/es_EC
index 48d4153019..cc441ef162 100644
--- a/localedata/locales/es_EC
+++ b/localedata/locales/es_EC
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Ecuador"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -114,7 +114,7 @@ country_ab3   "ECU"
 country_num   218
 country_car   "EC"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_GT b/localedata/locales/es_GT
index 5899f08709..ad931405d1 100644
--- a/localedata/locales/es_GT
+++ b/localedata/locales/es_GT
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Guatemala"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -88,16 +88,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -151,7 +151,7 @@ country_ab3   "GTM"
 country_num   320
 country_car    "GCA"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_HN b/localedata/locales/es_HN
index 7fb436fc99..96ee4c27e5 100644
--- a/localedata/locales/es_HN
+++ b/localedata/locales/es_HN
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Honduras"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -88,16 +88,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -152,7 +152,7 @@ country_num   340
 country_car "HN"
 lang_ab      "es"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_term    "spa"
 lang_lib    "spa"
 END LC_ADDRESS
diff --git a/localedata/locales/es_MX b/localedata/locales/es_MX
index 52e5620215..c71c80b87d 100644
--- a/localedata/locales/es_MX
+++ b/localedata/locales/es_MX
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Mexico"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -82,22 +82,22 @@ END LC_MONETARY
 
 LC_NUMERIC
 decimal_point        "."
-thousands_sep        "<U202F>"
+thousands_sep        " "
 grouping             3;3
 END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -145,13 +145,13 @@ END LC_NAME
 
 LC_ADDRESS
 postal_fmt    "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
-country_name "M<U00E9>xico"
+country_name "México"
 country_ab2   "MX"
 country_ab3   "MEX"
 country_num   484
 country_car    "MEX"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_NI b/localedata/locales/es_NI
index ed13287e6c..b0af629038 100644
--- a/localedata/locales/es_NI
+++ b/localedata/locales/es_NI
@@ -80,16 +80,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -143,7 +143,7 @@ country_ab3   "NIC"
 country_num   558
 country_car   "NIC"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_PA b/localedata/locales/es_PA
index 1717127c42..2140c21453 100644
--- a/localedata/locales/es_PA
+++ b/localedata/locales/es_PA
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Panama"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -88,16 +88,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -145,13 +145,13 @@ END LC_NAME
 
 LC_ADDRESS
 postal_fmt    "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
-country_name "Panam<U00E1>"
+country_name "Panamá"
 country_ab2   "PA"
 country_ab3   "PAN"
 country_num   591
 country_car   "PA"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_PE b/localedata/locales/es_PE
index 105ae44024..b08b5af7e3 100644
--- a/localedata/locales/es_PE
+++ b/localedata/locales/es_PE
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Peru"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -86,16 +86,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -143,13 +143,13 @@ END LC_NAME
 
 LC_ADDRESS
 postal_fmt    "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
-country_name "Per<U00FA>"
+country_name "Perú"
 country_ab2   "PE"
 country_ab3   "PER"
 country_num   604
 country_car   "PE"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_PR b/localedata/locales/es_PR
index 4d4caedc06..7d4e683f64 100644
--- a/localedata/locales/es_PR
+++ b/localedata/locales/es_PR
@@ -80,16 +80,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -143,7 +143,7 @@ country_ab3   "PRI"
 country_num   630
 country_car "PR"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_PY b/localedata/locales/es_PY
index 46bf81b711..4482886a14 100644
--- a/localedata/locales/es_PY
+++ b/localedata/locales/es_PY
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Paraguay"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -86,16 +86,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -149,7 +149,7 @@ country_ab3   "PRY"
 country_num   600
 country_car    "PY"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_SV b/localedata/locales/es_SV
index 05c4569337..5fb7a0589e 100644
--- a/localedata/locales/es_SV
+++ b/localedata/locales/es_SV
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for El Salvador"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -88,16 +88,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -151,7 +151,7 @@ country_ab3   "SLV"
 country_num   222
 country_car   "ES"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_US b/localedata/locales/es_US
index 1b47db5374..d79b700f28 100644
--- a/localedata/locales/es_US
+++ b/localedata/locales/es_US
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for the USA"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -86,16 +86,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-        "mar";"mi<U00E9>";/
+        "mar";"mié";/
         "jue";"vie";/
-        "s<U00E1>b"
+        "sáb"
 day     "domingo";/
         "lunes";/
         "martes";/
-        "mi<U00E9>rcoles";/
+        "miércoles";/
         "jueves";/
         "viernes";/
-        "s<U00E1>bado"
+        "sábado"
 abmon   "ene";"feb";/
         "mar";"abr";/
         "may";"jun";/
@@ -151,7 +151,7 @@ country_num   840
 country_car   "USA"
 country_isbn  0
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_UY b/localedata/locales/es_UY
index f2a7ff9b54..45c3aba74a 100644
--- a/localedata/locales/es_UY
+++ b/localedata/locales/es_UY
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Uruguay"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -86,16 +86,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -150,7 +150,7 @@ country_ab3   "URY"
 country_num   858
 country_car   "UY"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"
diff --git a/localedata/locales/es_VE b/localedata/locales/es_VE
index 961ddcc315..c2cf3c734a 100644
--- a/localedata/locales/es_VE
+++ b/localedata/locales/es_VE
@@ -26,7 +26,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "Spanish locale for Venezuela"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    ""
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -87,16 +87,16 @@ END LC_NUMERIC
 
 LC_TIME
 abday   "dom";"lun";/
-	"mar";"mi<U00E9>";/
+	"mar";"mié";/
 	"jue";"vie";/
-	"s<U00E1>b"
+	"sáb"
 day     "domingo";/
 	"lunes";/
 	"martes";/
-	"mi<U00E9>rcoles";/
+	"miércoles";/
 	"jueves";/
 	"viernes";/
-	"s<U00E1>bado"
+	"sábado"
 abmon   "ene";"feb";/
 	"mar";"abr";/
 	"may";"jun";/
@@ -150,7 +150,7 @@ country_ab3   "VEN"
 country_num   862
 country_car    "YV"
 % español
-lang_name     "espa<U00F1>ol"
+lang_name     "español"
 lang_ab      "es"
 lang_term    "spa"
 lang_lib    "spa"