diff --git a/localedata/locales/en_EU b/localedata/locales/en_EU
new file mode 100644
index 0000000000..5c84a1ef9e
--- /dev/null
+++ b/localedata/locales/en_EU
@@ -0,0 +1,163 @@
+comment_char %
+escape_char /
+
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+
+% English language locale for the European Union
+% Contact "Yingxiang Yao"
+% Email "yingxiang.yao@kasumi321.de"
+% Written according to POSIX.2
+% ISO/IEC 9945-2:1993 specifications
+% Based on implementation of en-DK
+
+
+LC_IDENTIFICATION
+title      "English locale for European Union"
+source     "Free Software Foundation, Inc."
+address    "https:////www.gnu.org//software//libc//"
+contact    ""
+email      "bug-glibc-locales@gnu.org"
+tel        ""
+fax        ""
+language   "English"
+territory  "European Union"
+revision   "1.0"
+date       "2024-01-09"
+
+category "i18n:2012";LC_IDENTIFICATION
+category "i18n:2012";LC_CTYPE
+category "i18n:2012";LC_COLLATE
+category "i18n:2012";LC_TIME
+category "i18n:2012";LC_NUMERIC
+category "i18n:2012";LC_MONETARY
+category "i18n:2012";LC_MESSAGES
+category "i18n:2012";LC_PAPER
+category "i18n:2012";LC_NAME
+category "i18n:2012";LC_ADDRESS
+category "i18n:2012";LC_TELEPHONE
+category "i18n:2012";LC_MEASUREMENT
+END LC_IDENTIFICATION
+
+LC_COLLATE
+copy "iso14651_t1"
+END LC_COLLATE
+
+LC_CTYPE
+copy "en_GB"
+END LC_CTYPE
+
+% Actually not all EU countries are using Euro, but to keep the stuff not to complex, I still make it as following
+LC_MONETARY
+int_curr_symbol      "EUR "
+currency_symbol      "€"
+mon_decimal_point    ","
+mon_thousands_sep    "."
+mon_grouping         3;3
+positive_sign        ""
+negative_sign        "-"
+int_frac_digits      2
+frac_digits          2
+p_cs_precedes        1
+p_sep_by_space       0
+n_cs_precedes        1
+n_sep_by_space       0
+p_sign_posn          1
+n_sign_posn          1
+END LC_MONETARY
+
+LC_NUMERIC
+decimal_point        ","
+thousands_sep        "."
+grouping             3;3
+END LC_NUMERIC
+
+LC_TIME
+abday    "Sun";"Mon";"Tue";"Wed";"Thu";"Fri";"Sat"
+day      "Sunday";/
+	 "Monday";/
+	 "Tuesday";/
+	 "Wednesday";/
+	 "Thursday";/
+	 "Friday";/
+	 "Saturday"
+abmon    "Jan";"Feb";/
+	 "Mar";"Apr";/
+	 "May";"Jun";/
+	 "Jul";"Aug";/
+	 "Sep";"Oct";/
+	 "Nov";"Dec"
+mon      "January";/
+	 "February";/
+	 "March";/
+	 "April";/
+	 "May";/
+	 "June";/
+	 "July";/
+	 "August";/
+	 "September";/
+	 "October";/
+	 "November";/
+	 "December"
+% date formats following ISO 8601-1988
+d_t_fmt  "%Y-%m-%dT%T %Z"
+date_fmt "%Y-%m-%dT%T %Z"
+d_fmt    "%Y-%m-%d"
+t_fmt    "%T"
+am_pm    "";""
+t_fmt_ampm  ""
+week    7;19971130;4
+first_weekday 2
+END LC_TIME
+
+LC_MESSAGES
+% en_EU is used as some sort of generic continental
+% European English locale. Therefore, it makes sense to have matches
+% for more than just English in yesexpr:
+% + is used in many applications for yes (- for no)
+% 1 is common yes, 0 is common no, - langage neutral
+% Jj is Danish/German/Swedish/Norwegian/Dutch "ja"
+% sS is Spanish/Italian "si"
+% yY is English "yes"
+% oO is French "oui"
+yesexpr "^[+1yYjJsSoO]"
+noexpr  "^[-0nN]"
+yesstr  "yes"
+nostr   "no"
+END LC_MESSAGES
+
+LC_PAPER
+copy "i18n"
+END LC_PAPER
+
+LC_TELEPHONE
+tel_int_fmt    "+%c %a %l"
+tel_dom_fmt    "%A %l"
+int_select     "00"
+END LC_TELEPHONE
+
+LC_MEASUREMENT
+copy "i18n"
+END LC_MEASUREMENT
+
+LC_NAME
+name_fmt    "%d%t%g%t%m%t%f"
+END LC_NAME
+
+
+LC_ADDRESS
+postal_fmt    "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
+country_name "European Union"
+country_ab2 "EU"
+% country_ab3 "EUU" no 3 digit code is defined for EU
+% country_num 208 no country number is defined for EU
+% country_car    "EU" no car plate code is defined for EU
+lang_name     "English"
+lang_ab      "en"
+lang_term    "eng"
+lang_lib    "eng"
+END LC_ADDRESS