diff --git a/localedata/locales/am_ET b/localedata/locales/am_ET
index 5974ab24da..4483b24e40 100644
--- a/localedata/locales/am_ET
+++ b/localedata/locales/am_ET
@@ -958,7 +958,7 @@ LC_ADDRESS
 % This is the ISO_IEC TR14652 Locale definition for the LC_ADDRESS category.
 %
 postal_fmt    "%z%c%T%s%b%e%r"
-country_name  "<U12A2><U1275><U12EE><U1335><U12EB>"
+country_name  "ኢትዮጵያ"
 country_post  "ETH"
 country_ab2   "ET"
 country_ab3   "ETH"
@@ -966,7 +966,7 @@ country_num   231   % 210 found in at least one ISO 3166 doc
 % ETH
 country_car   "ETH"
 % country_isbn  unknown, Need ISO 2108
-lang_name     "<U12A0><U121B><U122D><U129B>"
+lang_name     "አማርኛ"
 lang_ab      "am"
 lang_term    "amh"
 lang_lib     "amh"
@@ -975,10 +975,10 @@ END LC_ADDRESS
 
 
 LC_MESSAGES
-yesexpr "^([+1yY<U12CE>]|<U12A0><U12CE><U1295>)"
-noexpr  "^([-0nN<U12ED>]|<U12A0><U12ED>)"
-yesstr  "<U12A0><U12CE><U1295>"
-nostr   "<U12A0><U12ED>"
+yesexpr "^([+1yYዎ]|አዎን)"
+noexpr  "^([-0nNይ]|አይ)"
+yesstr  "አዎን"
+nostr   "አይ"
 END LC_MESSAGES
 
 
@@ -988,10 +988,10 @@ LC_NAME
 %
 name_fmt    "%d%t%g%t%m%t%f"
 name_gen    ""
-name_mr     "<U12A0><U1276>"
-name_mrs    "<U12C8><U002F><U122E>"
-name_miss   "<U12C8><U002F><U122A><U1275>"
-name_ms     "<U12C8><U002F><U122A><U1275>"
+name_mr     "አቶ"
+name_mrs    "ወ//ሮ"
+name_miss   "ወ//ሪት"
+name_ms     "ወ//ሪት"
 %
 END LC_NAME
 
@@ -1000,58 +1000,58 @@ LC_TIME
 %
 % Abbreviated weekday names (%a)
 %
-abday    "<U12A5><U1211><U12F5>";/
-         "<U1230><U129E> ";/
-         "<U121B><U12AD><U1230>";/
-         "<U1228><U1261><U12D5>";/
-         "<U1210><U1219><U1235>";/
-         "<U12D3><U122D><U1265>";/
-         "<U1245><U12F3><U121C>"
+abday    "እሑድ";/
+         "ሰኞ ";/
+         "ማክሰ";/
+         "ረቡዕ";/
+         "ሐሙስ";/
+         "ዓርብ";/
+         "ቅዳሜ"
 %
 % Full weekday names (%A)
 %
-day      "<U12A5><U1211><U12F5>";/
-         "<U1230><U129E>";/
-         "<U121B><U12AD><U1230><U129E>";/
-         "<U1228><U1261><U12D5>";/
-         "<U1210><U1219><U1235>";/
-         "<U12D3><U122D><U1265>";/
-         "<U1245><U12F3><U121C>"
+day      "እሑድ";/
+         "ሰኞ";/
+         "ማክሰኞ";/
+         "ረቡዕ";/
+         "ሐሙስ";/
+         "ዓርብ";/
+         "ቅዳሜ"
 %
 % Abbreviated month names (%b)
 %
-abmon    "<U1303><U1295><U12E9>";/
-         "<U134C><U1265><U1229>";/
-         "<U121B><U122D><U127D>";/
-         "<U12A4><U1355><U1228>";/
-         "<U121C><U12ED> ";/
-         "<U1301><U1295> ";/
-         "<U1301><U120B><U12ED>";/
-         "<U12A6><U1308><U1235>";/
-         "<U1234><U1355><U1274>";/
-         "<U12A6><U12AD><U1270>";/
-         "<U1296><U126C><U121D>";/
-         "<U12F2><U1234><U121D>"
+abmon    "ጃንዩ";/
+         "ፌብሩ";/
+         "ማርች";/
+         "ኤፕረ";/
+         "ሜይ ";/
+         "ጁን ";/
+         "ጁላይ";/
+         "ኦገስ";/
+         "ሴፕቴ";/
+         "ኦክተ";/
+         "ኖቬም";/
+         "ዲሴም"
 %
 % Full month names (%B)
 %
-mon      "<U1303><U1295><U12E9><U12C8><U122A>";/
-         "<U134C><U1265><U1229><U12C8><U122A>";/
-         "<U121B><U122D><U127D>";/
-         "<U12A4><U1355><U122A><U120D>";/
-         "<U121C><U12ED>";/
-         "<U1301><U1295>";/
-         "<U1301><U120B><U12ED>";/
-         "<U12A6><U1308><U1235><U1275>";/
-         "<U1234><U1355><U1274><U121D><U1260><U122D>";/
-         "<U12A6><U12AD><U1276><U1260><U122D>";/
-         "<U1296><U126C><U121D><U1260><U122D>";/
-         "<U12F2><U1234><U121D><U1260><U122D>"
+mon      "ጃንዩወሪ";/
+         "ፌብሩወሪ";/
+         "ማርች";/
+         "ኤፕሪል";/
+         "ሜይ";/
+         "ጁን";/
+         "ጁላይ";/
+         "ኦገስት";/
+         "ሴፕቴምበር";/
+         "ኦክቶበር";/
+         "ኖቬምበር";/
+         "ዲሴምበር"
 %
 % Equivalent of AM PM
 %
-am_pm    "<U1321><U12CB><U1275>";/
-         "<U12A8><U1230><U12D3><U1275>"
+am_pm    "ጡዋት";/
+         "ከሰዓት"
 %
 % Appropriate date representation (%x)
 d_fmt   "%d//%m//%Y"
@@ -1065,12 +1065,12 @@ t_fmt_ampm "%l:%M:%S %p"
 % Appropriate date and time representation (%c)
 %	"%A፣ %B %e ቀን %Y %r %Z
 %
-d_t_fmt    "%A<U1363> %B %e <U1240><U1295> %Y %r %Z"
+d_t_fmt    "%A፣ %B %e ቀን %Y %r %Z"
 %
 % Appropriate date representation (date(1))
 %	"%A፣ %B %e ቀን %r %Z %Y ዓ/ም
 %
-date_fmt    "%A<U1363> %B %e <U1240><U1295> %r %Z %Y <U12D3>//<U121D>"
+date_fmt    "%A፣ %B %e ቀን %r %Z %Y ዓ//ም"
 %
 week 7;19971130;1
 END LC_TIME
diff --git a/localedata/locales/ber_DZ b/localedata/locales/ber_DZ
index f503eccfd6..e1e267ef22 100644
--- a/localedata/locales/ber_DZ
+++ b/localedata/locales/ber_DZ
@@ -71,7 +71,7 @@ LC_MONETARY
 % for IBM Class for Unicode/Java
 %
 int_curr_symbol       "DZD "
-currency_symbol       "<U062F>.<U062C>."
+currency_symbol       "د.ج."
 mon_decimal_point     "."
 mon_thousands_sep     ","
 mon_grouping          3
@@ -100,19 +100,19 @@ END LC_NUMERIC
 
 % FIXME
 LC_TIME
-day     "bazar g<U00FC>n<U00FC>";/
-        "birinci g<U00FC>n";/
-        "ikinci g<U00FC>n";/
-        "<U00FC><U00E7><U00FC>nc<U00FC> g<U00FC>n";/
-        "d<U00F6>rd<U00FC>nc<U00FC> g<U00FC>n";/
-        "be<U015F>inci g<U00FC>n";/
-        "alt<U0131>nc<U0131> g<U00FC>n"
+day     "bazar günü";/
+        "birinci gün";/
+        "ikinci gün";/
+        "üçüncü gün";/
+        "dördüncü gün";/
+        "beşinci gün";/
+        "altıncı gün"
 abday   "baz";/
         "bir";/
         "iki";/
-        "<U00FC><U00E7><U00FC>";/
-        "d<U00F6>r";/
-        "be<U015F>";/
+        "üçü";/
+        "dör";/
+        "beş";/
         "alt"
 mon     "yanvar";/
         "fevral";/
@@ -131,8 +131,8 @@ abmon   "Yan";/
         "Mar";/
         "Apr";/
         "May";/
-        "<U0130>yn";/
-        "<U0130>yl";/
+        "İyn";/
+        "İyl";/
         "Avq";/
         "Sen";/
         "Okt";/
@@ -183,7 +183,7 @@ country_num 012
 %country_isbn ""
 country_car  "DZ"
 % Tamaziɣt
-lang_name "Tamazi<U0263>t"
+lang_name "Tamaziɣt"
 %lang_ab
 lang_term "ber"
 lang_lib "ber"
diff --git a/localedata/locales/en_GB b/localedata/locales/en_GB
index c8b81338d0..02a8a44799 100644
--- a/localedata/locales/en_GB
+++ b/localedata/locales/en_GB
@@ -25,7 +25,7 @@ escape_char /
 LC_IDENTIFICATION
 title      "English locale for Britain"
 source     "RAP"
-address    "Sankt J<U00F8>rgens Alle 8, DK-1615 K<U00F8>benhavn V, Danmark"
+address    "Sankt Jørgens Alle 8, DK-1615 København V, Danmark"
 contact    "Keld Simonsen"
 email      "bug-glibc-locales@gnu.org"
 tel        ""
@@ -60,7 +60,7 @@ END LC_COLLATE
 
 LC_MONETARY
 int_curr_symbol         "GBP "
-currency_symbol         "<U00A3>"
+currency_symbol         "£"
 mon_decimal_point       "."
 mon_thousands_sep       ","
 mon_grouping            3;3
diff --git a/localedata/locales/en_PH b/localedata/locales/en_PH
index eb46335911..fd402c2da6 100644
--- a/localedata/locales/en_PH
+++ b/localedata/locales/en_PH
@@ -59,7 +59,7 @@ LC_MONETARY
 % for IBM Class for Unicode.
 %
 int_curr_symbol       "PHP "
-currency_symbol       "<U20B1>"
+currency_symbol       "₱"
 mon_decimal_point     "."
 mon_thousands_sep     ","
 mon_grouping          3
diff --git a/localedata/locales/fil_PH b/localedata/locales/fil_PH
index ebc40f293a..dca95ce46f 100644
--- a/localedata/locales/fil_PH
+++ b/localedata/locales/fil_PH
@@ -92,7 +92,7 @@ END LC_COLLATE
 
 LC_MONETARY
 int_curr_symbol         "PHP "
-currency_symbol         "<U20B1>"
+currency_symbol         "₱"
 mon_decimal_point       "."
 mon_thousands_sep       ","
 mon_grouping            3;3
diff --git a/localedata/locales/kab_DZ b/localedata/locales/kab_DZ
index 2778afb337..ba9cc0bcad 100644
--- a/localedata/locales/kab_DZ
+++ b/localedata/locales/kab_DZ
@@ -127,25 +127,25 @@ END LC_COLLATE
 
 LC_TIME
 mon "Yennayer";/
-    "Fu<U1E5B>ar";/
-    "Me<U0263>res";/
+    "Fuṛar";/
+    "Meɣres";/
     "Yebrir";/
     "Mayyu";/
     "Yunyu";/
     "Yulyu";/
-    "<U0263>uct";/
-    "Ctembe<U1E5B>";/
-    "Tube<U1E5B>";/
-    "Wambe<U1E5B>";/
-    "Dujembe<U1E5B>"
+    "ɣuct";/
+    "Ctembeṛ";/
+    "Tubeṛ";/
+    "Wambeṛ";/
+    "Dujembeṛ"
 abmon "Yen";/
       "Fur";/
-      "Me<U0263>";/
+      "Meɣ";/
       "Yeb";/
       "May";/
       "Yun";/
       "Yul";/
-      "<U0263>uc";/
+      "ɣuc";/
       "Cte";/
       "Tub";/
       "Wam";/
diff --git a/localedata/locales/ti_ET b/localedata/locales/ti_ET
index 50e8148342..73b1327fb6 100644
--- a/localedata/locales/ti_ET
+++ b/localedata/locales/ti_ET
@@ -97,14 +97,14 @@ LC_ADDRESS
 % This is the ISO_IEC TR14652 Locale definition for the LC_ADDRESS category.
 %
 postal_fmt    "%z%c%T%s%b%e%r"
-country_name  "<U12A2><U1275><U12EE><U1335><U12EB>"
+country_name  "ኢትዮጵያ"
 country_post  "ETH"
 country_ab2   "ET"
 country_ab3   "ETH"
 country_num   231   % 210 found in at least one ISO 3166 doc
 country_car    "ETH"
 % country_isbn  unknown, Need ISO 2108
-lang_name     "<U1275><U130D><U122D><U129B>"
+lang_name     "ትግርኛ"
 lang_ab       "ti"
 lang_term     "tir"
 lang_lib      "tir"
@@ -113,10 +113,10 @@ END LC_ADDRESS
 
 
 LC_MESSAGES
-yesexpr "^[+1<U12A5>yY]"
-noexpr  "^[-0<U1290>nN]"
-yesstr  "<U12A5><U12C8>"
-nostr   "<U1290><U1296><U12A5>"
+yesexpr "^[+1እyY]"
+noexpr  "^[-0ነnN]"
+yesstr  "እወ"
+nostr   "ነኖእ"
 END LC_MESSAGES
 
 
@@ -126,10 +126,10 @@ LC_NAME
 %
 name_fmt    "%d%t%g%t%m%t%f"
 name_gen    ""
-name_mr     "<U12A0><U1276>"             % "<U12A0><U12ED><U1270>" is informal
-name_mrs    "<U12C8>//<U122E>"
-name_miss   "<U12C8>//<U122A><U1275>"
-name_ms     "<U12C8>//<U122A><U1275>"
+name_mr     "አቶ"             % "አይተ" is informal
+name_mrs    "ወ//ሮ"
+name_miss   "ወ//ሪት"
+name_ms     "ወ//ሪት"
 %
 END LC_NAME
 
@@ -138,58 +138,58 @@ LC_TIME
 %
 % Abbreviated weekday names (%a)
 %
-abday    "<U1230><U1295><U1260>";/
-         "<U1230><U1291><U12ED>";/
-         "<U1230><U1209><U1235>";/
-         "<U1228><U1261><U12D5>";/
-         "<U1213><U1219><U1235>";/
-         "<U12D3><U122D><U1262>";/
-         "<U1240><U12F3><U121D>"
+abday    "ሰንበ";/
+         "ሰኑይ";/
+         "ሰሉስ";/
+         "ረቡዕ";/
+         "ሓሙስ";/
+         "ዓርቢ";/
+         "ቀዳም"
 %
 % Full weekday names (%A)
 %
-day      "<U1230><U1295><U1260><U1275>";/
-         "<U1230><U1291><U12ED>";/
-         "<U1230><U1209><U1235>";/
-         "<U1228><U1261><U12D5>";/
-         "<U1213><U1219><U1235>";/
-         "<U12D3><U122D><U1262>";/
-         "<U1240><U12F3><U121D>"
+day      "ሰንበት";/
+         "ሰኑይ";/
+         "ሰሉስ";/
+         "ረቡዕ";/
+         "ሓሙስ";/
+         "ዓርቢ";/
+         "ቀዳም"
 %
 % Abbreviated month names (%b)
 %
-abmon    "<U1303><U1295><U12E9>";/
-         "<U134C><U1265><U1229>";/
-         "<U121B><U122D><U127D>";/
-         "<U12A4><U1355><U1228>";/
-         "<U121C><U12ED> ";/
-         "<U1301><U1295> ";/
-         "<U1301><U120B><U12ED>";/
-         "<U12A6><U1308><U1235>";/
-         "<U1234><U1355><U1274>";/
-         "<U12A6><U12AD><U1270>";/
-         "<U1296><U126C><U121D>";/
-         "<U12F2><U1234><U121D>"
+abmon    "ጃንዩ";/
+         "ፌብሩ";/
+         "ማርች";/
+         "ኤፕረ";/
+         "ሜይ ";/
+         "ጁን ";/
+         "ጁላይ";/
+         "ኦገስ";/
+         "ሴፕቴ";/
+         "ኦክተ";/
+         "ኖቬም";/
+         "ዲሴም"
 %
 % Full month names (%B)
 %
-mon      "<U1303><U1295><U12E9><U12C8><U122A>";/
-         "<U134C><U1265><U1229><U12C8><U122A>";/
-         "<U121B><U122D><U127D>";/
-         "<U12A4><U1355><U1228><U120D>";/
-         "<U121C><U12ED>";/
-         "<U1301><U1295>";/
-         "<U1301><U120B><U12ED>";/
-         "<U12A6><U1308><U1235><U1275>";/
-         "<U1234><U1355><U1274><U121D><U1260><U122D>";/
-         "<U12A6><U12AD><U1270><U12CD><U1260><U122D>";/
-         "<U1296><U126C><U121D><U1260><U122D>";/
-         "<U12F2><U1234><U121D><U1260><U122D>"
+mon      "ጃንዩወሪ";/
+         "ፌብሩወሪ";/
+         "ማርች";/
+         "ኤፕረል";/
+         "ሜይ";/
+         "ጁን";/
+         "ጁላይ";/
+         "ኦገስት";/
+         "ሴፕቴምበር";/
+         "ኦክተውበር";/
+         "ኖቬምበር";/
+         "ዲሴምበር"
 %
 % Equivalent of AM PM
 %
-am_pm    "<U1295><U1309><U1206> <U1230><U12D3><U1270>";/
-         "<U12F5><U1215><U122D> <U1230><U12D3><U1275>"
+am_pm    "ንጉሆ ሰዓተ";/
+         "ድሕር ሰዓት"
 %
 % Appropriate date representation (%x)
 %
@@ -206,12 +206,12 @@ t_fmt_ampm "%l:%M:%S %p"
 % Appropriate date and time representation (%c)
 %	"%A፣ %B %e መዓልቲ %Y %r %Z
 %
-d_t_fmt    "%A<U1363> %B %e <U1218><U12D3><U120D><U1272> %Y %r %Z"
+d_t_fmt    "%A፣ %B %e መዓልቲ %Y %r %Z"
 %
 % Appropriate date representation (date(1))
 %	"%A፣ %B %e መዓልቲ %r %Z %Y ዓ/ም
 %
-date_fmt    "%A<U1363> %B %e <U1218><U12D3><U120D><U1272> %r %Z %Y <U12D3>//<U121D>"
+date_fmt    "%A፣ %B %e መዓልቲ %r %Z %Y ዓ//ም"
 %
 week 7;19971130;1
 END LC_TIME
diff --git a/localedata/locales/tl_PH b/localedata/locales/tl_PH
index 434290f5a5..8fc72cded9 100644
--- a/localedata/locales/tl_PH
+++ b/localedata/locales/tl_PH
@@ -54,7 +54,7 @@ END LC_COLLATE
 
 LC_MONETARY
 int_curr_symbol         "PHP "
-currency_symbol         "<U20B1>"
+currency_symbol         "₱"
 mon_decimal_point       "."
 mon_thousands_sep       ","
 mon_grouping            3;3